1. Midjourney
梧柏API使用文档
WHBAI · Midjourney
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • Midjourney
    • 执行Action动作
      POST
    • 上传图片
      POST
    • 提交Imagine任务
      POST
    • 根据任务ID 查询任务状态
      GET
    • 根据ID列表查询任务
      POST
    • 获取任务图片的seed
      GET
    • 提交Blend任务
      POST
    • 提交Describe任务
      POST
    • 提交Modal
      POST
    • 提交 Shorten 任务
      POST
    • 提交 Change(Pan / Zoom)任务
      POST
    • 图像局部编辑(Edits)
      POST
    • 人脸替换(InsightFace Swap)
      POST
  • mj
    • 提交shorten 任务
      GET
    • 图生视频(增强版功能)
      POST
    • 文本指令变换(content)
      POST
  • 数据模型
    • MjSampleRequest
    • MjSampleResponse
    • PostMjSubmitImagineRequest
    • GetMjTaskFetchResponse
    • GetMjTaskIdImageSeedResponse
    • PostMjSubmitBlendRequest
    • PostMjSubmitBlendResponse
    • PostMjSubmitDescribeRequest
    • PostMjSubmitDescribeResponse
    • PostMjSubmitModalRequest
    • PostMjSubmitModalResponse
    • MjSubmitResponse
    • MjTask
    • PostMjTaskListByConditionResponse
    • PostMjSubmitShortenRequest
    • PostMjSubmitChangeRequest
    • PostMjSubmitEditsRequest
    • PostMjInsightFaceSwapRequest
    • NewApiError
  1. Midjourney

提交Modal

POST
/mj/submit/modal
针对图像的特定区域进行局部重绘(Vary Region / Inpaint),需提供遮罩区域。

网站中的模型与调用示例#

窗口确认(action 返回 code:21 后的第二步)#

请求参数#

{
  "contentType": "application/json",
  "properties": {
    "maskBase64": {
      "description": "局部重绘的蒙版base64\n\n",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Inpainting mask as base64."
        }
      }
    },
    "prompt": {
      "description": "提示词\n",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Prompt"
        }
      }
    },
    "taskId": {
      "description": "任务ID\n",
      "type": "integer",
      "x-i18n": {
        "en-US": {
          "description": "Task ID"
        }
      }
    }
  },
  "required": [
    "maskBase64"
  ]
}

提交Modal#

请求参数#

{
  "contentType": "application/json",
  "properties": {
    "maskBase64": {
      "description": "局部重绘的蒙版base64\n\n",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Inpainting mask as base64."
        }
      }
    },
    "prompt": {
      "description": "提示词\n",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Prompt"
        }
      }
    },
    "taskId": {
      "description": "任务ID\n",
      "type": "integer",
      "x-i18n": {
        "en-US": {
          "description": "Task ID"
        }
      }
    }
  },
  "required": [
    "maskBase64"
  ]
}

请求示例 · 示例 1#

{
  "maskBase64": "",
  "prompt": "",
  "taskId": "14001934816969359"
}

响应示例 · Create image#

{
  "created": 1589478378,
  "data": [
    {
      "url": "https://..."
    },
    {
      "url": "https://..."
    }
  ]
}

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Header 参数

Body 参数application/json

示例
{
    "maskBase64": "",
    "prompt": "",
    "taskId": "14001934816969359"
}

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
cURL
curl --location '/mj/submit/modal' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "maskBase64": "",
    "prompt": "",
    "taskId": "14001934816969359"
}'

返回响应

🟢200Create image
application/json
Bodyapplication/json

示例
{
    "created": 1589478378,
    "data": [
        {
            "url": "https://..."
        },
        {
            "url": "https://..."
        }
    ]
}
🟠400请求有误
🟠401没有权限
修改于 2026-10-24 18:33:12
上一页
提交Describe任务
下一页
提交 Shorten 任务
Built with